CentOS 6/7 x86_64更换4.9版本内核,支持Google BBR拥塞控制算法

该脚本内核由本人编译,脚本特点:
1、无需手动修改grub启动项;
2、已经默认设置拥塞算法为BBR,无需额外设置,重启即可用;
3、更新至4.9正式版

OpenVZ的就不要试了,不可用

注意,本人编译的内核bbr不是模块化的,通过lsmod|grep bbr是查不到结果的,fq也是。

安装步骤:

wget -O- http://soft.wellphp.com/scripts/install_bbr_centos.sh | bash

安装结束之后,重启:

reboot

重启之后验证是否已经成功:

sysctl net.ipv4.tcp_congestion_control net.core.default_qdisc

结果如下:

net.ipv4.tcp_congestion_control = bbr
net.core.default_qdisc = fq

如果不幸失败,可以通过VNC修改启动项到老的内核。

《CentOS 6/7 x86_64更换4.9版本内核,支持Google BBR拥塞控制算法》有11个想法

  1. 版主,感谢你的分享,安装这个带bbr的内核后,下载速度确实快了很多!我实测与锐速效果内丝,有时甚至还要快一些,并且内存占用降下来了,至少50MB!

    有一个疑问咨询一下:
    因为centos7.2 默认是 3.10的内核,而现在是4.9的,跨度比较大!那么该内核的headers需不需要安装?不安装headers会不会有什么附带影响?

  2. 用你的脚本安装提示错误,麻烦看下

    more /etc/redhat-release
    CentOS Linux release 7.3.1611 (Core)

    错误如下:
    bash install_bbr_centos.sh
    Now I will replace the system kernel to 4.9.0-1…
    Start installing
    grep: /usr/share/dracut/modules.d/90kernel-modules/installkernel: 没有那个文件或目录
    获取http://soft.wellphp.com/kernels/x86_64/kernel-ml-4.9.0-1.el7.centos.x86_64.rpm
    错误:依赖检测失败:
    linux-firmware >= 20100806-2 被 kernel-ml-4.9.0-1.el7.centos.x86_64 需要
    Checking if the installtion is ok

      1. 还是不行

        Now I will replace the system kernel to 4.9.0-1…
        Start installing
        grep: /usr/share/dracut/modules.d/90kernel-modules/installkernel: 没有那个文件或目录
        获取http://soft.wellphp.com/kernels/x86_64/kernel-ml-4.9.0-1.el7.centos.x86_64.rpm
        准备中… ################################# [100%]
        正在升级/安装…
        1:kernel-ml-4.9.0-1.el7.centos ################################# [100%]
        grubby fatal error: unable to find a suitable template
        /sbin/dracut: line 1137: /proc/modules: No such file or directory

  3. sysctl net.ipv4.tcp_congestion_control net.core.default_qdisc
    net.ipv4.tcp_congestion_control = bbr
    net.core.default_qdisc = pfifo_fast
    老板,这算成功了么?

发表评论

电子邮件地址不会被公开。 必填项已用*标注